From 9d8b04152dff8a2ba9111390ce46ad745bb958cb Mon Sep 17 00:00:00 2001
From: "Li, Hong" <hong.li@mdc-berlin.net>
Date: Tue, 30 Nov 2021 00:03:13 +0100
Subject: [PATCH 2/3] Add r-gistr

---
 gnu/packages/cran.scm | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index e6e3dfd9e9..3ca478d5ec 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -32039,6 +32039,36 @@ convert dates to MMWR day, week, and year and the reverse.")
      "This package provides a simple HTTP client, with tools for making HTTP requests, and mocking HTTP requests.  The package is built on R6, and takes inspiration from Ruby's 'faraday' gem.")
     (license license:expat)))
 
+(define-public r-gistr
+  (package
+    (name "r-gistr")
+    (version "0.9.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (cran-uri "gistr" version))
+       (sha256
+        (base32
+         "0ac9ikrdg6i8xvlma0gizvsdva46408lk7hvsgkqirhy2ljy02hp"))))
+    (properties `((upstream-name . "gistr")))
+    (build-system r-build-system)
+    (propagated-inputs
+     `(("r-assertthat" ,r-assertthat)
+       ("r-crul" ,r-crul)
+       ("r-dplyr" ,r-dplyr)
+       ("r-httr" ,r-httr)
+       ("r-jsonlite" ,r-jsonlite)
+       ("r-knitr" ,r-knitr)
+       ("r-magrittr" ,r-magrittr)
+       ("r-rmarkdown" ,r-rmarkdown)))
+    (native-inputs `(("r-knitr" ,r-knitr)))
+    (home-page "https://github.com/ropensci/gistr")
+    (synopsis "Work with 'Gists' in browser")
+    (description
+     "This package allows the user to create new 'gists', update 'gists' with new files, rename files, delete files, get and delete 'gists', star and 'un-star' 'gists', fork 'gists', o
+pen a 'gist' in your default browser, get embed code for a 'gist', list 'gist' 'commits', and get rate limit information when 'authenticated'.")
+    (license license:expat)))
+
 (define-public r-fauxpas
   (package
     (name "r-fauxpas")
-- 
2.17.1

